![logo](https://raw.githubusercontent.com/pyCellID/pyCellID/clementejose/docs/logo/PycellID_logo.jpg)

# PyCellID (building...)

[![Build status](https://github.com/pyCellID/pyCellID/actions/workflows/CI.yml/badge.svg)](https://github.com/pyCellID/pyCellID/actions)
[![codecov](https://codecov.io/gh/pyCellID/pyCellID/branch/main/graph/badge.svg?token=SXFRA6KCLV)](https://codecov.io/gh/pyCellID/pyCellID)
[![Documentation Status](https://readthedocs.org/projects/pycellid/badge/?version=latest)](https://pycellid.readthedocs.io/en/latest/?badge=latest)
[![issues](https://img.shields.io/github/issues/pyCellID/pyCellID)](https://img.shields.io/github/issues/pyCellID/pyCellID)
[![license](https://img.shields.io/github/license/pyCellID/pyCellID)](https://github.com/pyCellID/pyCellID/blob/main/LICENSE)
[![forks](https://img.shields.io/github/forks/pyCellID/pyCellID)](https://github.com/pyCellID/pyCellID/)
[![stars](https://img.shields.io/github/stars/pyCellID/pyCellID)](https://github.com/pyCellID/pyCellID/)

Functions to analyze Cell-ID single-cell cytometry data using python language.

## Dependecies for this project.

- [attrs(>=21.1.0)](https://www.attrs.org/en/stable/) for build the backend.
- [matplotlib(>=3.4.0)](https://matplotlib.org/) for plots management
- [pandas(>=1.3.0)](https://pandas.pydata.org/) for panel and dashboard management.
- [numpy(>=1.21.0)](https://numpy.org/) for numerical management.

## Installation


PyCellID can be installed using ``pip`` from [PyPI](http://pypi.python.org/pypi/pycellid). Using [virtualenv](http://www.virtualenv.org/en/latest/) is recommended -- for no specific reason other than it being good practice. Installing is simple:

```cmd
    $> pip install pycellid
```
   

For development, clone the [official github repository](https://github.com/https://github.com/pyCellID/pyCellID>) instead and use:

```cmd
    $> python setup.py .
```

## Contact

You can contact us via [email](clemente.jac@gmail.com).

## Issues

Please submit bug reports, suggestions for improvements and patches via
the [issue tracker](https://github.com/pyCellID/pyCellID/issues).

## Links

- [Documentation](https://pycellid.readthedocs.io)
- [Example Application](https://github.com/pyCellID/pyCellID/blob/main/docs/source/notes/examples.ipynb)
- [PyPI Releases](https://pypi.org/project/PyCellID/)
- [Changelog](https://github.com/pyCellID/pyCellID/blob/main/CHANGELOG.rst)


## License

This project is licensed under the MIT License (see the
[LICENSE](https://github.com/pyCellID/pyCellID/blob/main/LICENSE) file for details).
